# Class $FilterProvider

- Defined in core/filter/filter.js:12
- Defined in core/filter/filter.js:11

#####
Index

### Constructors

constructor

### Properties

$get
register
$inject

##
Constructors

### constructor

- new $FilterProvider($provide): $FilterProvider

- #### Parameters

  - $provide: any

  #### Returns $FilterProvider

  - Defined in core/filter/filter.js:12

##
Properties

### $get

$get: (string | (($injector: InjectorService) => ((name: any) => any)))[]

- Defined in core/filter/filter.js:27

### register

register: ((name: any, factory: any) => any)

- Defined in core/filter/filter.js:25

### `Static`$inject

$inject: string[]

- Defined in core/filter/filter.js:11